/******************************************************************************
  AH_SMSSendPopRequestor C'tor

    Parameters:
        [in] source
        [in] version
        [in] os
        [in] handleEventPop

******************************************************************************/
function AH_SMSSendPopRequestor( source,
                                 version,
                                 os,
                                 handleEventPop )
{
    try
    {
        EXT_extend( this, new CH_AsyncRequestorBase( handleEventPop, function( statusMessage ) { EX_Log( statusMessage ); }, MSG_GetSMSSendPopResponse ) );

        this.Start = function( accountNumber, uString )
        {
            try
            {
                var requestMessage = new MSG_GetSMSSendPopRequest( source, version, os, accountNumber, uString );

                this.m_asyncRequest.Start( VM_URL.WX1,
                                           VM_URL.WX2,
                                           requestMessage );
            }
            catch ( e )
            {
                EX_ASSERT_NO_EXCEPTIONS( e, 'AH_SMSSendPopRequestor::Start( )' );
            }
        };
    }
    catch ( e )
    {
        EX_ASSERT_NO_EXCEPTIONS( e, 'AH_SMSSendPopRequestor::AH_SMSSendPopRequestor( )' );
    }
}
